spamassassin-users October 2010 archive
Main Archive Page > Month Archives  > spamassassin-users archives
spamassassin-users: Re: RAZOR2 and SpamAssassin version or confi

Re: RAZOR2 and SpamAssassin version or configuration

From: Giles Coochey <giles_at_nospam>
Date: Fri Oct 15 2010 - 07:48:49 GMT
To: users@spamassassin.apache.org

  On 15/10/2010 00:39, Bart Schaefer wrote:
> We have a couple of mail servers running SpamAssassin. One is stock
> CentOS5 and therefore running SA 3.2.4. The other is a test platform
> running SA 3.3.1 (installed from rpmforge in case that matters). Both
> have the latest sa-update configurations for their respective
> versions.
>
> On both hosts, when I put the 3.3.1 sample-spam.txt message through
> spamassassin, it reports RAZOR2_CHECK as expected. If I run with -D,
> SA3.2.4 reports that it is using razor2 version 2.82, and SA3.3.1
> reports razor2 version 2.84. Again this is as I expect.
>
> However, I have another message received from outside, which when put
> through spamassassin 3.2.4 reports a hit on RAZOR2_CHECK, but when put
> through 3.3.1 it does not. Run with -D, it does appear that the razor
> server is being contacted in both cases, but I confess I haven't yet
> resorted to sniffing traffic to be sure.
>
> Where should I be looking for a configuration difference that would cause this?
local.cf:
use_razor2 1

... I would check permisions for the razor-agent and check that it is
registered for the user that runs your site-wide spamassassin.

-- Best Regards, Giles Coochey NetSecSpec Ltd NL Mobile: +31 626 508 131 Gib Mobile: +350 5401 6693 Email/MSN/Live Messenger: giles@coochey.net Skype: gilescoochey